# Uses of Record Class
org.eclipse.draw2d.geometry.Interval

Packages that use Interval
Package
Description
org.eclipse.draw2d.geometry
Types representing or manipulating geometric values, such as Points, Dimensions, etc.

## Uses of Interval in org.eclipse.draw2d.geometry

Fields in org.eclipse.draw2d.geometry declared as Interval
Modifier and Type
Field
Description
`static final Interval`
Interval.`INFINITE`
Methods in org.eclipse.draw2d.geometry that return Interval
Modifier and Type
Method
Description
`Interval`
Interval.`getCopy()`
Returns a new Interval which has the exact same parameters as this Interval.
`Interval`
Rectangle.`getHorizontalInterval()`
Returns a new Interval beginning at the x coordinate with the width as length.
`Interval`
Interval.`getIntersection(Interval interval)`
Calculates the intersection of the input `Interval` and this `Interval`.
`Interval`
Rectangle.`getVerticalInterval()`
Returns a new Interval beginning at the y coordinate with the height as length.
`Interval`
Interval.`growLeading(int delta)`
Calculates a new interval where its leading direction has been increased by the given `delta` (ex., grow left for horizontal interval).
`Interval`
Interval.`growTrailing(int delta)`
Calculates a new interval where its trailing direction has been increased by the given `delta` (ex., grow right for horizontal interval).
Methods in org.eclipse.draw2d.geometry with parameters of type Interval
Modifier and Type
Method
Description
`Interval`
Interval.`getIntersection(Interval interval)`
Calculates the intersection of the input `Interval` and this `Interval`.
`static int`
Interval.`getRightMostIntervalIndex(Interval[] intervals, int value)`
We can use this method for example for span support.
`boolean`
Interval.`intersects(Interval interval)`
Returns whether the input `Interval` intersects this `Interval`.
`boolean`
Interval.`isLeadingOf(Interval interval)`
Checks whether the input `Interval` starts before this `Interval`.
`boolean`
Interval.`isTrailingOf(Interval interval)`
Checks whether the input `Interval` starts after this `Interval`.
Constructors in org.eclipse.draw2d.geometry with parameters of type Interval
Modifier
Constructor
Description
``
`Interval(Interval interval)`
Creates a new Interval exact same parameters as the given Interval.